/******************************************************************************
 CGlobalMouseTask.c

	AUTHOR: Andrew_Gilmartin@Brown.Edu
	MODIFIED: 93-11-04

	MouseTask but using QD global coordinates. The code & comments are from 
	CMouseTask.x with a few minor changes.
	
	Copyright (C) 1993 by Brown University. All rights reserved.

	Permission is granted to any individual or institution to use, copy,
	or redistribute the binary version of this software and its
	documentation provided this notice and the copyright notices are
	retained.  Permission is granted to any individual or non-profit
	institution to use, copy, modify, or redistribute the source files
	of this software provided this notice and the copyright notices are
	retained.  This software may not be distributed for profit, either
	in original form or in derivative works, nor can the source be
	distributed to other than an individual or a non-profit institution.
	Any  individual or group interested in seeing and/or using these
	source files but who are prevented from doing so by the above
	constraints should contact Don Wolfe, Vice-President for Computer 
	Systems at Brown University, (401) 863-7247, for possible
	software licensing of the source developed at Brown.

	Brown University and Andrew James Gilmartin make no representations
	about the suitability of this software for any purpose.
 
 	BROWN UNIVERSITY AND ANDREW JAMES GILMARTIN GIVE NO WARRANTY, EITHER
	EXPRESS OR IMPLIED, FOR THE PROGRAM AND/OR DOCUMENTATION PROVIDED,
	INCLUDING, WITHOUT LIMITATION, WARRANTY OF MERCHANTABILITY AND
	WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE.

******************************************************************************/

#include "CGlobalMouseTask.h"



/******************************************************************************
 IGlobalMouseTask

	Initialize a GlobalMouseTask object
******************************************************************************/

void CGlobalMouseTask::IGlobalMouseTask( short aNameIndex )
{
	CTask::ITask(aNameIndex);

} /* IGlobalMouseTask */



/******************************************************************************
 BeginTracking

	Mouse down tracking is about to begin at the specified starting
	point. Subclasses should override this method if they wish to
	perform preparations before tracking or to alter the startPt
	(startPt could be altered to implement "snap to grid" for a
	drawing program).
******************************************************************************/

void CGlobalMouseTask::BeginTracking( Point startPt )
{
	/* Null Method */

} /* BeginTracking */



/******************************************************************************
 KeepTracking

	Continuous mouse tracking while the mouse button is down. The
	current, previous, and starting mouse locations are passed by
	reference so the method may change their values. For example,
	the values may be changed to implement constrained drawing.
******************************************************************************/

void CGlobalMouseTask::KeepTracking( Point currPt, Point prevPt, Point startPt )
{
	/* Null Method */

} /* KeepTracking */



/******************************************************************************
 EndTracking

	Mouse down tracking has ended because the user has released the
	mouse button.
******************************************************************************/

void CGlobalMouseTask::EndTracking( Point currPt, Point prevPt, Point startPt )
{
	/* Null Method */

} /* EndTracking */
